Uses of Class
com.spec.web.expresso.message.HttpResponse
Packages that use HttpResponse
-
Uses of HttpResponse in com.spec.web.expresso.message
Methods in com.spec.web.expresso.message that return HttpResponseModifier and TypeMethodDescriptionHttpResponse.resetResponse()Resets the response objectHttpResponse.resetResponseBody()Resets the body of the responseHttpResponse.setContentTypeHeader(String contentType) Sets the content type headerSends html Note: Resets any data present in response objectHttpResponse.setResponseHeader(String name, String value) Sets the Http response headersHttpResponse.setStatusCode(Integer statusCode) Set the Http status code of the responseHttpResponse.writeResponse(String response) Set the http response body -
Uses of HttpResponse in com.spec.web.expresso.middleware
Methods in com.spec.web.expresso.middleware with parameters of type HttpResponseModifier and TypeMethodDescriptionvoidMiddleware.execute(HttpRequest req, HttpResponse res, MiddlewareContext ctx) The following method is implemented by user.voidMiddlewareExecutor.execute(HttpRequest req, HttpResponse res, String path, String method) The following method will execute request and response on the defined middleware list.